Page MenuHomePhabricator

[ELF] Change findOrphanPos to only consider live sections
ClosedPublic

Authored by andrewng on Apr 4 2019, 8:51 AM.

Details

Summary

This patch changes the behaviour of findOrphanPos to only consider live
sections when placing orphan sections. This used to be how it behaved in
the past.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

andrewng created this revision.Apr 4 2019, 8:51 AM

This would be the follow up patch to D60131 as a fix for the orphan PHDR test failure.

grimar accepted this revision.Apr 15 2019, 4:22 AM

LGTM.

This revision is now accepted and ready to land.Apr 15 2019, 4:22 AM
ruiu accepted this revision.Apr 18 2019, 12:30 AM

LGTM

Please commit this first.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 23 2019, 5:18 AM